org.apache.lucene.queryparser.xml.builders

## Class LikeThisQueryBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.xml.builders.LikeThisQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class LikeThisQueryBuilder
    extends Object
    implements QueryBuilder

Builder for `MoreLikeThisQuery`

### Constructor Summary

Constructors
Constructor and Description
`LikeThisQueryBuilder(Analyzer analyzer, String[] defaultFieldNames)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Query` `getQuery(Element e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LikeThisQueryBuilder

    public LikeThisQueryBuilder(Analyzer analyzer,
                                String[] defaultFieldNames)

### Method Detail

#### getQuery

    public Query getQuery(Element e)
                   throws ParserException

Specified by:
  `getQuery` in interface `QueryBuilder`
Throws:
  `ParserException`